<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="Parametros_Terceros";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Terceros';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
<link rel="icon" type="image/png" href="../icono.ico"/> 
 
<script type='text/javascript'   src='../js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="../js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="../js1/select2.css">
<script type='text/javascript'   src="../js1/bootstrap.min.js"></script>

<script type='text/javascript'>
$(window).load(function(){
   $('#proveedor').select2();
});

$(window).load(function(){
   $('#concepto').select2();
});
</script>

<style>

.select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:120px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:120px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:100px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

</style>


 
</head>
<body>
<?php

$tercero=$_REQUEST['tercero'];	
$ubicacion=$_REQUEST['ubicacion'];	
$clasificacion=$_REQUEST['clasificacion'];	

$tipo="";$concepto="";$cuenta="";$iva="";$retefuente="";$reteica="";$subtipo="";
$cuentaxpagar="";$anticipo="";

$rs_iva=mysqli_query($conexion,"SELECT id,nombre FROM par_iva where empresa='".$vg_empresa."' order by nombre asc");
$rs_retefuente=mysqli_query($conexion,"SELECT id,nombre FROM par_retefuente where empresa='".$vg_empresa."' order by nombre asc");
$rs_tipo=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tipoconcepto' order by nombre asc");
$rs_reteica=mysqli_query($conexion,"SELECT id,nombre FROM par_reteica where empresa='".$vg_empresa."' and municipio='".$ubicacion."' order by nombre asc");


if($_REQUEST["id"]>0)
	 {				
	   $id=$_REQUEST["id"];
		 $contar=0;
		 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero_contable where id='".$id."' and empresa='".$vg_empresa."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 	$sql_datos =mysqli_query($conexion,"select  tercero,tipo,concepto,cuenta,iva,retefuente,reteica,subtipo,anticipo,cuentaxpagar,fecsis,horasis,usuario
    													FROM tercero_contable
    													where id='".$id."' and empresa='".$vg_empresa."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$proveedor=$datos[0]; 						
						$tipo=$datos[1]; 	
						$concepto=$datos[2]; 	
						$cuenta=$datos[3]; 	
						$iva=$datos[4]; 	
						$retefuente=$datos[5]; 	
						$reteica=$datos[6]; 	
						$subtipo=$datos[7]; 	
						$anticipo=$datos[8]; 	
						$cuentaxpagar=$datos[9]; 	
				   }
			}
			else
			  {
				$mensaje="No existe el codigo";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php
			  }
  }

if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];	
	$tipo=$_REQUEST['tipo'];	
	$subtipo=$_REQUEST['subtipo'];	
	$concepto=$_REQUEST['concepto'];	
	$cuenta=$_REQUEST['cuenta'];	
	$iva=$_REQUEST['iva'];	
	$retefuente=$_REQUEST['retefuente'];	
	$reteica=$_REQUEST['reteica'];	
	/*$cuentaxpagar=$_REQUEST['cuentaxpagar'];	
	$anticipo=$_REQUEST['anticipo'];	
	*/
					
					
if($_REQUEST["oguardar"]==1)
	 {   
		     $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero_contable  where tercero='".$tercero."' 
			  									  and empresa='".$vg_empresa."' and ubicacion='".$ubicacion."' and clasificacion='".$clasificacion."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
			  {
					  $mensaje="Ya existe la cuenta para el tercero";
					  ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
					   <?php
			  }
			  else
				{ $busqueda=1;
				 //$dv=calcularDV($nit);
				  $sql_insert=mysqli_query($conexion,"insert into tercero_contable(empresa,tercero,ubicacion,clasificacion,	
				  										tipo,subtipo,concepto,cuenta,iva,retefuente,reteica,fecsis,horasis,usuario)
										  values('".$vg_empresa."','".$tercero."','".$ubicacion."','".$clasificacion."',
										  		 '".$tipo."','".$subtipo."','".$concepto."','".$cuenta."','".$iva."','".$retefuente."',
										  		 '".$reteica."','".$fecsis."','".$horasis."','".$vg_login."')"); 
				 if($sql_insert)
				   {
				      $mensaje="Se registro";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				   }	
				 else 
				  {
				    $mensaje="Error al registrar";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				  }				
				}
	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {   
		  $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero_contable  where tercero='".$tercero."' 
			  									  and empresa='".$vg_empresa."' and ubicacion='".$ubicacion."' and clasificacion='".$clasificacion."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
			  {
    				  $contar=0;
    				  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero where id='".$id."'");
    				  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
    				  if($contar>=1) 
    					{ 
    				  // $dv=calcularDV($nit);
    					  $sql_update=mysqli_query($conexion,"update tercero_contable set
    															tipo='".$tipo."',
    															subtipo='".$subtipo."',
    															concepto='".$concepto."',
    															cuenta='".$cuenta."',
    															iva='".$iva."',
    															retefuente='".$retefuente."',
    															reteica='".$reteica."'
    														  where id='".$id."'"); 
    					 if($sql_update)
    					   {
    						$mensaje="Se modifico";
    								?>				  
    								<script>
    								cuteToast({
    									  type: "success", // or 'info', 'error', 'warning'
    									  message: "<?php echo $mensaje; ?>",
    									  timer: 3000
    									})
    								</script>
    							   <?php
    					   }	
    					 else 
    					  {
    					   $mensaje="Error al modificar ";
    								?>				  
    								<script>
    								cuteToast({
    									  type: "error", // or 'info', 'error', 'warning'
    									  message: "<?php echo $mensaje; ?>",
    									  timer: 3000
    									})
    								</script>
    							   <?php
    					  }				
    					}
    				  else
    				   {
    					$mensaje="No existe el codigo";
    								?>				  
    								<script>
    								cuteToast({
    									  type: "error", // or 'info', 'error', 'warning'
    									  message: "<?php echo $mensaje; ?>",
    									  timer: 3000
    									})
    								</script>
    							   <?php
    				   }	
			  }
	 }//fin guardar

	if($_REQUEST['onuevo']==1)
	   { 
	   		$tipo="";$concepto="";$cuenta="";$iva="";$retefuente="";$reteica="";$id="";$subtipo="";
			$anticipo="";$cuentaxpagar="";
	   }


    if($_REQUEST["ocuenta"]==1)
     {    /*
           $ctacodigo="";
		   $rs_tipors=mysqli_query($conexion,"SELECT codigo FROM par_generales where id='".$subtipo."'");
		   while($datos= mysqli_fetch_row($rs_tipors))
					{ 
						$ctacodigo=$datos[0]; 
					}
		    */
			$cuenta="";	
         	$sql_datos =mysqli_query($conexion,"select  $subtipo FROM par_conceptos
    													where id='".$concepto."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$cuenta=$datos[0]; 
					}
     }

  }


?>
<form name="frmempresa" method="post" action="" >
  <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 <center>
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading">CONTABLE</div>
       <div align="center">
         <table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          
          <tr>
            <td width="10%" height="-10"><span class="texto">Tipo</span></td>
            <td width="30%"><select name="tipo"  id="tipo" class="form-control" style="width: 100%" onChange="submit();"  >
              <option value="0" selected="selected"></option>
              <?php while ($rowba=mysqli_fetch_array($rs_tipo))
									{
									 if ($tipo==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>
            <td colspan="2" align="right"><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tbody>
                <tr>
                  <td align="right"><span class="texto">SubTipo</span></td>
                  <td width="86%" align="right">
                    <?php
						 if($tipo>0)
						 {
							$rs_tipocontable=mysqli_query($conexion,"SELECT cuenta FROM par_conceptos_tipo where empresa='".$vg_empresa."' and tipo='".$tipo."' order by cuenta asc");
						 }
						 else
						 {
						      $rs_tipocontable=mysqli_query($conexion,"SELECT '' FROM par_conceptos_tipo where id=0");
						 }
			  
			 		 ?>
                    <select name="subtipo"  id="subtipo"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
                      <option value="0" selected></option>
                      <?php while ($rowba=mysqli_fetch_array($rs_tipocontable))
									{
									 if ($subtipo==$rowba['cuenta'])
										{echo "<option value=".$rowba['cuenta']." selected>".substr($rowba['cuenta'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['cuenta'].">".substr($rowba['cuenta'],0,40)."</option>";}		
									}
							 ?>
                    </select></td>
                  </tr>
                </tbody>
            </table></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Concepto</span></td>
            <td><?php
                if($tipo>0)
				{
					$rs_conceptos=mysqli_query($conexion,"SELECT id,nombre FROM par_conceptos where empresa='".$vg_empresa."' and tipo='".$tipo."' order by nombre asc");
				}
				else
				{
					$rs_conceptos=mysqli_query($conexion,"SELECT 0,'' FROM par_conceptos where id=0");
				}
			  ?>
              <select name="concepto"  id="concepto"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%"  onChange="ocuenta.value=1;submit();" >
                <?php while ($rowba=mysqli_fetch_array($rs_conceptos))
									{
									 if ($concepto==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select></td>
            <td width="11%" align="right" ><span class="texto">Cuenta</span></td>
            <td width="49%" ><input name="cuenta" type="text"  id="cuenta"    value="<?php echo $cuenta; ?>"  style="width: 100%" class="form-control"/></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Iva </span></td>
            <td><select name="iva"  id="iva"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
              <option value="0" selected></option>
              <?php while ($rowba=mysqli_fetch_array($rs_iva))
									{
									 if ($iva==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>
            <td align="right">Retefuente</td>
            <td align="right" ><select name="retefuente"  id="retefuente"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
              <option value="0" selected></option>
              <?php while ($rowba=mysqli_fetch_array($rs_retefuente))
									{
									 if ($retefuente==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>
          </tr>
          
          <tr>
            <td align="left"><span class="texto">Reteica</span></td>
            <td align="center"><select name="reteica"  id="reteica"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
              <option value="0" selected></option>
              <?php while ($rowba=mysqli_fetch_array($rs_reteica))
									{
									 if ($reteica==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>
            <td  align="right"></td>
            <td  align="left"></td>
          </tr>
         
          
          <tr>
            <td  colspan="4" align="center"><input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px" onClick="onuevo.value=1;"/>
              <?php
              if($id=="")
              {
              ?>
              <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
              <?php
			  }
              if($id>0)
              {
              ?>
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
              <?php
			  }
              ?>
              <input type="hidden" name="oculto" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="obuscar" type="hidden" id="obuscar" />
              <input name="onuevo" type="hidden" id="onuevo" />
              <input name="ocuenta" type="hidden" id="ocuenta" />
            </tr>
         </table>
   </div>
   



 </div>
 </center>  

 
<center>
        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='5%'>ID</th>
                                <th width='10%'>TIPO</th>
                                <th width='10%'>SUBTIPO</th>
                                <th width='20%'>CONCEPTO</th>
                                <th width='10%'>CUENTA</th>
                                <th width='10%'>IVA</th>
                                <th width='10%'>RETEFUENTE</th>
                                <th width='10%'>RETEICA</th>
                            </tr>
                        </thead>
                        <tbody>
<?php

		$sql_datos =mysqli_query($conexion,"select  tercero,tipo,concepto,cuenta,iva,retefuente,reteica,id,subtipo,fecsis,horasis,usuario
    													FROM tercero_contable
    													where empresa='".$vg_empresa."' and tercero='".$tercero."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$nproveedor=$datos[0]; 						
						$tipo=$datos[1]; 	
						$concepto=$datos[2]; 	
						$cuenta=$datos[3]; 	
						$iva=$datos[4]; 	
						$retefuente=$datos[5]; 	
						$reteica=$datos[6]; 	
						$id=$datos[7]; 	
						$nsubtipo=$datos[8]; 	
			

            			$ntipo="";
            			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipo."'");
            			while($datoses= mysqli_fetch_row($rs_sql)){ $ntipo=$datoses[0];}
            			$nconcepto="";
            			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$concepto."'");
            			while($datoses= mysqli_fetch_row($rs_sql)){ $nconcepto=$datoses[0];}
                        $niva="";
            			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_iva where id='".$iva."'");
            			while($datoses= mysqli_fetch_row($rs_sql)){ $niva=$datoses[0];}
                        $nretefuente="";
            			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_retefuente where id='".$retefuente."'");
            			while($datoses= mysqli_fetch_row($rs_sql)){ $nretefuente=$datoses[0];}
                        $nreteica="";
            			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_reteica where id='".$reteica."'");
            			while($datoses= mysqli_fetch_row($rs_sql)){ $nreteica=$datoses[0];}
            			
            		   echo " <tr >";
            			 echo "<td><a href='contable.php?id=$id&tercero=$tercero&ubicacion=$ubicacion&clasificacion=$clasificacion'>$id</a></td>";		
            			 echo "<td>".$ntipo."</td>";
            			 echo "<td>".$nsubtipo."</td>";
            			 echo "<td>".$nconcepto."</td>";
            			 echo "<td>".$cuenta."</td>";
            			 echo "<td>".$niva."</td>";
            			 echo "<td>".$nretefuente."</td>";
            			 echo "<td>".$nreteica."</td>";
		                echo "</tr>";
	 }

?>
</tbody></table></center> 



<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	
	var mensaje='';
		 if(document.frmempresa.tipo.value>0){}
		 else {mensaje=mensaje + 'Tipo,';    }
		 if(document.frmempresa.subtipo.value>0){}
		 else {mensaje=mensaje + 'Subtipo,';    }
		
		/* if(document.frmempresa.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre empresa,';    }
		if(document.frmempresa.direccion.value!=''){}	
	 	 else {mensaje=mensaje + 'Direccion,';    }
		 if(document.frmempresa.notifiva.value!=''){}	
	 	 else {mensaje=mensaje + 'Email Notificacion,';    }
		 if(document.frmempresa.clave.value!=''){}	
	 	 else {mensaje=mensaje + 'Clave,';    }
		*/ 
		if(document.frmempresa.tipo.value>0){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JASCON",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>





<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>    
